Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.web
Class ServletContextConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.web.ServletContextConfiguration

All Implemented Interfaces:
  Configuration

    public class ServletContextConfiguration

extends AbstractConfiguration

A configuration wrapper to read the initialization parameters of a servlet context. This configuration is read only, adding or removing a property will throw an UnsupportedOperationException.

Since:
  1.1
Version:
  $Revision: 515306 $, $Date: 2007-03-06 22:15:00 +0100 (Di, 06. Mrz 2007) $
Author:
  Emmanuel Bourg

Field Summary
`protected javax.servlet.ServletContext` | `context` Stores the wrapped servlet context.

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_READ_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`ServletContextConfiguration(javax.servlet.Servlet servlet)` Create a ServletContextConfiguration using the context of the specified servlet.
`ServletContextConfiguration(javax.servlet.ServletContext context)` Create a ServletContextConfiguration using the servlet context initialization parameters.

Method Summary
`protected void` | `addPropertyDirect(String key, Object obj)` Adds a property to this configuration.
`void` | `clearProperty(String key)` Removes the property with the given key.
`boolean` | `containsKey(String key)` Checks whether the specified key is stored in this configuration.
`Iterator` | `getKeys()` Get the list of the keys contained in the configuration.
`Object` | `getProperty(String key)` Gets a property from the configuration.
`protected Object` | `handleDelimiters(Object value)` Takes care of list delimiters in property values.
`boolean` | `isEmpty()` Checks if this configuration is empty.

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration
`addErrorLogListener, addProperty, append, clear, clearPropertyDirect, copy, createInterpolator, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getInterpolator, getKeys, getList, getList, getListDelimiter, getLogger, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, getSubstitutor, interpolate, interpolate, interpolatedConfiguration, interpolateHelper, isDelimiterParsingDisabled, isScalarValue, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setLogger, setProperty, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, addErrorListener, clearConfigurationListeners, clearErrorListeners, clone, createErrorEvent, createEvent, fireError, fireEvent, getConfigurationListeners, getErrorListeners, isDetailEvents, removeConfigurationListener, removeErrorListener, setDetailEvents`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected javax.servlet.ServletContext context

  Stores the wrapped servlet context.

Constructor Detail

### ServletContextConfiguration

    public ServletContextConfiguration(javax.servlet.Servlet servlet)

  Create a ServletContextConfiguration using the context of the specified servlet.

  Parameters:
    `servlet` - the servlet

### ServletContextConfiguration

    public ServletContextConfiguration(javax.servlet.ServletContext context)

  Create a ServletContextConfiguration using the servlet context initialization parameters.

  Parameters:
    `context` - the servlet context

Method Detail

### getProperty

    public Object getProperty(String key)

  Description copied from interface: `Configuration`
  Gets a property from the configuration. This is the most basic get method for retrieving values of properties. In a typical implementation of the `Configuration` interface the other get methods (that return specific data types) will internally make use of this method. On this level variable substitution is not yet performed. The returned object is an internal representation of the property value for the passed in key. It is owned by the `Configuration` object. So a caller should not modify this object. It cannot be guaranteed that this object will stay constant over time (i.e. further update operations on the configuration may change its internal state).

  Parameters:
    `key` - property to retrieve
  Returns:
    the value to which this configuration maps the specified key, or null if the configuration contains no mapping for this key.

### getKeys

    public Iterator getKeys()

  Description copied from interface: `Configuration`
  Get the list of the keys contained in the configuration. The returned iterator can be used to obtain all defined keys. Note that the exact behavior of the iterator's `remove()` method is specific to a concrete implementation. It may remove the corresponding property from the configuration, but this is not guaranteed. In any case it is no replacement for calling ``Configuration.clearProperty(String)`` for this property. So it is highly recommended to avoid using the iterator's `remove()` method.

  Returns:
    An Iterator.

### isEmpty

    public boolean isEmpty()

  Checks if this configuration is empty. This implementation makes use of the `getKeys()` method (which must be defined by concrete sub classes) to find out whether properties exist.

  Returns:
    a flag whether this configuration is empty

### containsKey

    public boolean containsKey(String key)

  Checks whether the specified key is stored in this configuration.

  Parameters:
    `key` - the key
  Returns:
    a flag whether this key exists in this configuration

### clearProperty

    public void clearProperty(String key)

  Removes the property with the given key. This operation is not supported and will throw an UnsupportedOperationException.

  Specified by:
    `clearProperty` in interface `Configuration`
  Overrides:
    `clearProperty` in class `AbstractConfiguration`
  Parameters:
    `key` - the key of the property to be removed
  Throws:
    `UnsupportedOperationException` - because this operation is not allowed

### addPropertyDirect

    protected void addPropertyDirect(String key,
                                     Object obj)

  Adds a property to this configuration. This operation is not supported and will throw an UnsupportedOperationException.

  Specified by:
    `addPropertyDirect` in class `AbstractConfiguration`
  Parameters:
    `key` - the key of the property
    `obj` - the value to be added
  Throws:
    `UnsupportedOperationException` - because this operation is not allowed

### handleDelimiters

    protected Object handleDelimiters(Object value)

  Takes care of list delimiters in property values. This method checks if delimiter parsing is enabled and the passed in value contains a delimiter character. If this is the case, a split operation is performed.

  Parameters:
    `value` - the property value to be examined
  Returns:
    the processed value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.